
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/io.h>

void wait_pc_kb()
{
	int n;

	for (n = 0; n < 65535; n++)
	{
		if ((inb(0x64) & 2) == 0)
		{
			return;
		}		
	}
	fprintf(stderr, "Timeout waiting to write to keyboard\n");
	exit(EXIT_FAILURE);
}

void send_byte(unsigned char cmd)
{
	wait_pc_kb();
	outb(cmd, 0x60);
}

void send64(unsigned char cmd)
{
	wait_pc_kb();
	outb(cmd, 0x64);
}


void send60(unsigned char cmd)
{
	send64(0xAD);
	send_byte(cmd);
	send64(0xAE);
}



int main(int argc, char **argv)
{
	int err = ioperm(0x60, 5, 1);

	if (err)
	{
		perror("ioperm");
		return EXIT_FAILURE;
	}
	send60(0xF8);
	return EXIT_SUCCESS;
}
